#include <bits/stdc++.h>

using namespace std;
pair<long long,long long>prvi;
pair<long long,long long>drugi;
pair<long long,long long>treci;
int main()
{
    long long n,a;

    cin>>n>>a;
    long long s=n;
    if(n<3*a)
        {cout<<"-1";return 0;}
    else
    {
        drugi.first=a;
        treci.first=a;
        prvi.first=a;
        n-=3*a;
        if(n<a-1)
        {
            prvi.second=n;
            n=0;
        }
        else
        {
            prvi.second=a;
            n-=a;
            long long pom=(n/2)+(n/2);
            prvi.first+=(n/2)+1;
            prvi.second+=(n/2)-1;
            n-=pom;
            if(n>0)drugi.second=n;
        }
    }
    if(prvi.first+drugi.first+treci.first+prvi.second+drugi.second+treci.second>s)
        cout<<"-1";
    else if(drugi.first-drugi.second<2||(prvi.first>a&&prvi.first-prvi.second>2))cout<<"-1";
    else if()
    else
    {
        cout<<prvi.first<<" "<<prvi.second<<endl;
        cout<<drugi.first<<" "<<drugi.second<<endl;
        cout<<treci.first<<" "<<treci.second;
    }

    return 0;
}